<?php
	//----+++++
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$StrNom=V($_POST['TxtNom']);
	$StrPass=V($_POST['TxtPass']);
	$StrPass2=V($_POST['TxtPass2']);
	$StrEmp=V($_POST['CboEmp']);
	$StrAlm=V($_POST['CboAlm']);
	$StrPdv=V($_POST['CboPdv']);
	$StrFull=V($_POST['TxtFull']);
	$StrHab=V($_POST['CboHab']);
	//
	$Str_EV=V($_POST['CH_EV']);
	$Str_MV=V($_POST['CH_MV']);
	$Str_AV=V($_POST['CH_AV']);
	$Str_ET=V($_POST['CH_ET']);
	$Str_MP=V($_POST['CH_MP']);
	$Str_MB=V($_POST['CH_MB']);
	$StrVen=V($_POST['CboVen']);
	//
	$Str_ELI_CON=vbval(V($_POST['CH_ELI_CON']));
	$Str_ELI_CON_ING=vbval(V($_POST['CH_ELI_CON_ING']));
	$Str_ELI_DEV=vbval(V($_POST['CH_ELI_DEV']));
	$Str_ELI_DEV_DEJ=vbval(V($_POST['CH_ELI_DEV_DEJ']));
	$Str_ELI_COB=vbval(V($_POST['CH_ELI_COB']));
	$Str_ELI_COB_TRA=vbval(V($_POST['CH_ELI_COB_TRA']));
	$Str_ELI_EGR=vbval(V($_POST['CH_ELI_EGR']));
	$Str_ELI_ING=vbval(V($_POST['CH_ELI_ING']));
	$Str_ELI_GII=vbval(V($_POST['CH_ELI_GII']));
	$CH_GII_MOD_COR=vbval(V($_POST['CH_GII_MOD_COR']));
	//
	if(strlen($Str_EV)==0){$Str_EV="0";}else{$Str_EV="1";}
	if(strlen($Str_MV)==0){$Str_MV="0";}else{$Str_MV="1";}
	if(strlen($Str_AV)==0){$Str_AV="0";}else{$Str_AV="1";}
	if(strlen($Str_ET)==0){$Str_ET="0";}else{$Str_ET="1";}
	if(strlen($Str_MP)==0){$Str_MP="0";}else{$Str_MP="1";}
	if(strlen($Str_MB)==0){$Str_MB="0";}else{$Str_MB="1";}

	if(strlen($StrHab)==0)$StrHab="SI";
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			if($StrId!="0"){
				$StrCmd="AR";
				$LStrPag=V($_GET['Pag']);
				if(!is_numeric($LStrPag)){
					$LStrPag="";
				}
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")$LStrPag=0;
	if($StrCmd=="MUlt")$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if($StrCmd=="CM"){
		JsDir("sys_menu_set.php?IdUser=$StrId");
		return;
	}
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("nom","usuarios","id_usuario=$Id");		
		$StrPass=gs("pass","usuarios","id_usuario=$Id");		
		$StrPass2=$StrPass;
		$StrEmp=gn("id_emp","usuarios","id_usuario=$Id");	
		if($StrEmp==0){
			$StrEmp="TODOS";
		}else{
			$StrEmp=gs("emp_nomc","empresas","id_emp=$StrEmp");
		}
		//
		$StrAlm=gn("id_alm","usuarios","id_usuario=$Id");
		if($StrAlm==0){
			$StrAlm="TODOS";
		}else{
			$StrAlm=gs("alm_obs","almacenes",
					   "id_almacen=$StrAlm AND alm_id_empresa=".gn("id_emp","usuarios","id_usuario=$Id"));
		}
		$StrFull=gs("nomape","usuarios","id_usuario=$Id");
		$StrHab=gs("hab","usuarios","id_usuario=$Id");
		$Str_EV=gs("ev","usuarios","id_usuario=$Id");
		$Str_MV=gs("mv","usuarios","id_usuario=$Id");
		$Str_AV=gs("av","usuarios","id_usuario=$Id");
		$Str_ET=gs("et","usuarios","id_usuario=$Id");
		$Str_MP=gs("mp","usuarios","id_usuario=$Id");
		$Str_MB=gs("mb","usuarios","id_usuario=$Id");
		//
		$StrPdv=gs("pro_id_alm","usuarios","id_usuario=$Id");
		$StrPdv=gs("ANC","vis_almacenes","IDA=$StrPdv");
		$StrVen=gn("id_vendedor","usuarios","id_usuario=$Id");
		$StrVen=gs("NOMBRE","vpersonal","ID=$StrVen");
		$LStrFoc="document.getElementById('TxtNom').focus();";	
		//
		$Str_ELI_CON=USU_PER_GET($Id,"ELI_CON");
		$Str_ELI_CON_ING=USU_PER_GET($Id,"ELI_CON_ING");
		$Str_ELI_DEV=USU_PER_GET($Id,"ELI_DEV");
		$Str_ELI_DEV_DEJ=USU_PER_GET($Id,"ELI_DEV_DEJ");
		$Str_ELI_COB=USU_PER_GET($Id,"ELI_COB");
		$Str_ELI_COB_TRA=USU_PER_GET($Id,"ELI_COB_TRA");
		$Str_ELI_EGR=USU_PER_GET($Id,"ELI_EGR");
		$Str_ELI_ING=USU_PER_GET($Id,"ELI_ING");
		$Str_ELI_GII=USU_PER_GET($Id,"ELI_GII");
		$CH_GII_MOD_COR=USU_PER_GET($Id,"GII_MOD_COR");
	}
	if($StrCmd=="G" || $StrCmd=="M"){
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");
		$StrAlm_=gn("id_almacen","almacenes",
					"alm_obs='$StrAlm' AND alm_id_empresa=$StrEmp_");
		$StrPdv_=gn("IDA","vis_almacenes","ANC='$StrPdv'");
		$StrVen_=gn("ID","vpersonal","NOMBRE='$StrVen'");
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){		
		if(GetC("usuarios","nom='$StrNom'")>0){
			$LStrMsg="Nombre de usuario ya registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		if($StrPass!=$StrPass2){
			$LStrMsg="Los password son distintos";
			$LStrFoc="document.getElementById('TxtPass2').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_usuario","usuarios");
			$s="INSERT INTO usuarios VALUES ($Id,'$StrNom','$StrPass',
			    $StrAlm_,'$StrFull','$StrHab','$Str_EV',
				'$Str_MV','$Str_AV',0,$StrEmp_,'$Str_ET',
				$StrPdv_,$StrVen_,'$Str_MP','$Str_MB')";
			ejt($s);
			//
			USU_PER_SET($Id,"ELI_CON",$Str_ELI_CON);
			USU_PER_SET($Id,"ELI_CON_ING",$Str_ELI_CON_ING);
			USU_PER_SET($Id,"ELI_DEV",$Str_ELI_DEV);
			USU_PER_SET($Id,"ELI_DEV_DEJ",$Str_ELI_DEV_DEJ);
			USU_PER_SET($Id,"ELI_COB",$Str_ELI_COB);
			USU_PER_SET($Id,"ELI_COB_TRA",$Str_ELI_COB_TRA);
			USU_PER_SET($Id,"ELI_EGR",$Str_ELI_EGR);
			USU_PER_SET($Id,"ELI_ING",$Str_ELI_ING);
			USU_PER_SET($Id,"ELI_GII",$Str_ELI_GII);
			USU_PER_SET($Id,"GII_MOD_COR",$CH_GII_MOD_COR);			
			//
			$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrPass="";
			$StrPass2="";
			$StrFull="";
			$Str_AV="0";
			$Str_MV="0";
			$Str_EV="0";
			$Str_ET="0";
			$Str_MP="0";
			$Str_MB="0";
			//
			$Str_ELI_CON=0;
			$Str_ELI_CON_ING=0;
			$Str_ELI_DEV=0;
			$Str_ELI_DEV_DEJ=0;
			$Str_ELI_COB=0;
			$Str_ELI_COB_TRA=0;
			$Str_ELI_EGR=0;
			$Str_ELI_ING=0;
			$Str_ELI_GII=0;
			$CH_GII_MOD_COR=0;
			//
			$StrPdv="";
			$StrVen="";
		}
	}
	//+++++++++++++++++
	function GenRndPas(){
		$pas="";
		for($i=1;$i<=8;$i++){
			$r=rand(0,9);
			$pas=$pas.$r;
		}
		return $pas;
	}
	//+++++++++++++++++
	if($StrCmd=="RND_PAS"){
		$CUR_USU_KOD=vbval(V($_SESSION['SYS_USER_ID']));
		$s="SELECT * FROM usuarios WHERE id_usuario<>".$CUR_USU_KOD." AND hab='SI'";
		$rs=grs($s);
		while($r=$rs->fetch_assoc()){
			$RND_USU=$r['id_usuario'];
			$RND_PAS=GenRndPas();
			$s="UPDATE usuarios SET pass='$RND_PAS' WHERE id_usuario=".$RND_USU;
			ejt($s);
		}
		$LStrMsg="Los datos han sido reasignados";
		$LStrFoc="document.getElementById('TxtNom').focus();";
	}
	//
	if($StrCmd=="M"){
		if(GetC("usuarios","nom='$StrNom' AND id_usuario<>$StrId")>0){
			$LStrMsg="Nombre de usuario ya registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			if($StrPass!=$StrPass2){
				$LStrMsg="Los password son distintos";
				$LStrFoc="document.getElementById('TxtPass2').focus();";						
				$StrGT="S";			
			}
		}
		if(strlen($StrGT)==0){
			$s="UPDATE usuarios SET nom='$StrNom',
				pass='$StrPass',id_alm=$StrAlm_,
				ev='$Str_EV',mv='$Str_MV',av='$Str_AV',
				nomape='$StrFull',hab='$StrHab',
				id_emp=$StrEmp_ ,et='$Str_ET',
				pro_id_alm=$StrPdv_ , id_vendedor=$StrVen_ ,mp='$Str_MP',mb='$Str_MB' 
				WHERE id_usuario=$StrId";					
			ejt($s);
			//
			USU_PER_SET($StrId,"ELI_CON",$Str_ELI_CON);
			USU_PER_SET($StrId,"ELI_CON_ING",$Str_ELI_CON_ING);
			USU_PER_SET($StrId,"ELI_DEV",$Str_ELI_DEV);
			USU_PER_SET($StrId,"ELI_DEV_DEJ",$Str_ELI_DEV_DEJ);
			USU_PER_SET($StrId,"ELI_COB",$Str_ELI_COB);
			USU_PER_SET($StrId,"ELI_COB_TRA",$Str_ELI_COB_TRA);
			USU_PER_SET($StrId,"ELI_EGR",$Str_ELI_EGR);
			USU_PER_SET($StrId,"ELI_ING",$Str_ELI_ING);
			USU_PER_SET($StrId,"ELI_GII",$Str_ELI_GII);
			USU_PER_SET($StrId,"GII_MOD_COR",$CH_GII_MOD_COR);		
			//
			$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrPass="";
			$StrPass2="";
			$StrFull="";
			$Str_AV="0";
			$Str_MV="0";
			$Str_EV="0";
			$Str_ET="0";
			$Str_MP="0";
			$Str_MB="0";
			//
			$Str_ELI_CON=0;
			$Str_ELI_CON_ING=0;
			$Str_ELI_DEV=0;
			$Str_ELI_DEV_DEJ=0;
			$Str_ELI_COB=0;
			$Str_ELI_COB_TRA=0;
			$Str_ELI_EGR=0;
			$Str_ELI_ING=0;
			$Str_ELI_GII=0;
			$CH_GII_MOD_COR=0;
			//
			$StrPdv="";
			$StrVen="";
		}
	}	
	//////////////////////////////////++
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>
